///////////////////////////////////////////////////////////////////////////
// touchのdefine関連
//
// 2015/12/22
///////////////////////////////////////////////////////////////////////////
#ifndef __U_TOUCHDEFINE_H__
//[[[
#define __U_TOUCHDEFINE_H__

#undef EXTERN
#ifndef MONITOR_DEF_UART
#define EXTERN extern
#else
#define EXTERN
#endif

#define	TOUCH_STATE_DOWN			(2)									// WIDGET_MSG_PTR_DOWN
#define	TOUCH_STATE_MOVE			(3)									// WIDGET_MSG_PTR_MOVE
#define	TOUCH_STATE_UP				(4)									// WIDGET_MSG_PTR_UP

bool	TouchInit(uint32_t dwSysClock);							// 初期化
void	TouchInterruptEnable(bool blFlag);					// 割り込み許可/不許可
void	TouchEnable(bool blFlag);										// UART許可/不許可
void	UartRxGetIntHandler(void);									// 受信割り込み用
void	OneShotIntHandler(void);										// ワンショット割り込み用
void	TouchScreenCallbackSet(int32_t (*pfnCallback)(uint32_t ui32Message, int32_t i32X, int32_t i32Y));

#endif
//]]]
